> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update resource metadata

> Updates metadata for a specific resource such as an S3Bucket or CloudwatchLogGroup.



## OpenAPI

````yaml /reference/manage-vanta.json patch /integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId}:
    patch:
      tags:
        - Integrations
      summary: Update resource metadata
      description: >-
        Updates metadata for a specific resource such as an S3Bucket or
        CloudwatchLogGroup.
      operationId: UpdateResource
      parameters:
        - description: Unique identifier of the integration.
          in: path
          name: integrationId
          required: true
          schema:
            type: string
        - description: Unique identifier of the integration resource kind.
          in: path
          name: resourceKind
          required: true
          schema:
            type: string
        - description: Unique identifier of the resource.
          in: path
          name: resourceId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                inScope:
                  type: boolean
                  description: Determines whether resources should be marked as in scope.
                description:
                  type: string
                  description: Description to update for the resources.
                ownerId:
                  type: string
                  description: Owner ID to update for the resources.
              type: object
      responses:
        '204':
          description: No content
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````